# $Revision: 1.20 $, $Date: 2002/09/14 08:33:43 $
Summary:	Free Flight Simulator
Summary(pl):	darmowy symulator lotu
Name:		FlightGear
Version:	0.8.0
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	ftp://ftp.flightgear.org/pub/fgfs/Source/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.flightgear.org/pub/fgfs/Shared/fgfs-base-%{version}.tar.gz
Source2:	ftp://ftp.flightgear.org/pub/fgfs/Shared/fgfs-docs-0.7.7.tar.gz
Patch0:		%{name}-libs.patch
URL:		http://www.flightgear.org/
BuildRequires:	OpenGL-devel
BuildRequires:	SimGear-devel >= 0.2.0
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	findutils
BuildRequires:	glut-devel
BuildRequires:	libstdc++-devel
BuildRequires:	metakit-devel
BuildRequires:	plib >= 1.6.0
BuildRequires:	zlib-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _noautoreqdep	libGL.so.1 libGLU.so.1 libGLcore.so.1
%define _prefix		/usr/X11R6
%define	_mandir		%{_prefix}/man

%description
The Flight Gear project is working to create a sophisticated flight
simulator framework for the development and pursuit of interesting
flight simulator ideas. We are developing a solid basic sim that can
be expanded and improved upon by anyone interested in contributing.

%description -l pl
Projet Flight Gear to wyrafinowany symulator lotw pozwalajcy
rozpowszechnia idee tego typu symulacji. 

%prep
%setup -q -a 1 -a 2
%patch0 -p1
find %{name} -name 'CVS' -type d | xargs rm -rf

%build
rm -f missing
aclocal
%{__autoconf}
%{__automake}
%configure \
	--with-network-olk
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} DESTDIR="$RPM_BUILD_ROOT" install

echo "#!/bin/sh" > runfgfs
echo "exec %{_bindir}/fgfs --fg-root=%{_libdir}/%{name} \$*" >> runfgfs
install runfgfs $RPM_BUILD_ROOT%{_bindir}
cp -a %{name} $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS %{name}/Docs/*
%attr(755,root,root) %{_bindir}/fgfs
%attr(755,root,root) %{_bindir}/runfgfs
%attr(755,root,root) %{_bindir}/est-epsilon
%attr(755,root,root) %{_bindir}/fgjs
%attr(755,root,root) %{_bindir}/gl-info
%attr(755,root,root) %{_bindir}/js_demo
%{_libdir}/%{name}
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: FlightGear.spec,v $
Revision 1.20  2002/09/14 08:33:43  zagrodzki
- remove CVS directories

Revision 1.19  2002/09/13 19:31:26  zagrodzki
- updated to 0.8.0
- STBR

Revision 1.18  2002/09/02 09:40:33  qboosh
- removed /usr/X11R6/man/man1 dir from package, release 3

Revision 1.17  2002/08/30 02:21:38  kloczek
- release 2.

Revision 1.16  2002/08/28 22:31:17  aflinta
- added ac_fix patch
- updated %files

Revision 1.15  2002/06/23 20:30:52  kloczek
- use new %doc.

Revision 1.14  2002/05/21 23:12:35  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/05/11 12:35:41  kloczek
- cosmetics.

Revision 1.12  2002/05/10 21:59:31  mmazur
- updated to 0.7.10; rel1; STBR (if it builds it's ok... if not, I'll fix)

Revision 1.11  2002/04/23 18:39:27  zytek
- typo (I don't know what means "typo" but what I did is a "typo", I think..)

Revision 1.10  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/08/18 14:57:18  filon
- small description translation change

Revision 1.6  2001/06/16 14:14:11  kloczek
- cosmetics.

Revision 1.5  2001/06/13 13:50:52  zagrodzki
- release 2
- s/datadir/libdir

Revision 1.4  2001/04/22 21:04:57  kloczek
- cosmetics.

Revision 1.3  2001/04/22 14:30:57  misiek
added libGLcore.so.1 to _noautoreqdep

Revision 1.2  2001/04/22 10:06:26  misiek
- BuildRequires: metakit-devel findutils
- added descriptions and changed Group

Revision 1.1  2001/04/22 02:44:01  zagrodzki
- initial release. Not ready yet. Please update summary, descriptions and etc.
